Bug 31094 - [Console] How to access the management interface?
[Console] How to access the management interface?
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.1-1-errata
Assigned To: Moritz Muehlenhoff
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-18 13:30 CEST by Stefan Gohmann
Modified: 2013-06-27 16:04 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-04-18 13:30:34 CEST
/etc/issue should include a hint how to access the management interface, for example:

********************************************************************
The management interface for this server is available at:
 https://10.201.12.31
 
Univention DC Master 3.1-1

master1231 login: 
********************************************************************
Comment 1 Philipp Hahn univentionstaff 2013-06-07 12:30:51 CEST
svn41224 should not evaluate interfaces/primary itself, but use:

from univention.config_registry.interfaces import .Interfaces
ip = Interfaces(configRegistry).get_default_ip_address().ip

And a second '/' is missing in the link after the 'https:/':
+       print '... https:/' + startsite
                      
(and there should also be a trailing '/' at the end of the URL, since otherwise the first request only returns a redirection appending the missing '/' and forces the client to do a second request; this is called 'URL normalization' accoring to RFC 3986.)
Comment 2 Moritz Muehlenhoff univentionstaff 2013-06-07 14:45:45 CEST
/etc/issue now provides an information message like in the following example:

Univention DC Master 3.1-1:

The UCS management system is available at https://master.sec31x86.jmm/ (10.200.3.91)

You can log into the Univention Management Console - the principal tool to manage 
users, groups, etc. - using the "Administrator" account and the password selected 
for the root user on the master domain controller.

yaml file: 2013-06-07-univention-base-files.yaml

Fixed and built in errata3.1-1, all changes have been merged to 3.2-0.
Comment 3 Arvid Requate univentionstaff 2013-06-25 12:08:50 CEST
Ok in errata3.1-1 and ucs-3.2-0.
Comment 4 Janek Walkenhorst univentionstaff 2013-06-27 16:04:39 CEST
http://errata.univention.de/ucs/3.1/131.html